Bug 12359 - hidepatronname doesn't hide on the holds queue
Summary: hidepatronname doesn't hide on the holds queue
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL: cgi-bin/koha/circ/view_holdsqueue.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-03 23:49 UTC by Nicole C. Engard
Modified: 2017-06-14 22:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12359: Add HidePatronName functionality to the holds queue (2.95 KB, patch)
2014-11-10 19:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12359: Add HidePatronName functionality to the holds queue (3.03 KB, patch)
2016-10-16 12:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12359: Add HidePatronName functionality to the holds queue (3.10 KB, patch)
2016-10-25 20:45 UTC, Chris Kirby
Details | Diff | Splinter Review
Bug 12359: Add HidePatronName functionality to the holds queue (3.16 KB, patch)
2016-11-18 10:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-06-03 23:49:44 UTC
On the holds queue the hidepatron name preference is ignored and the name is shown all the time. It should be hidden.
Comment 1 Katrin Fischer 2014-11-10 19:25:31 UTC
I have a patch for this, but I am not sure if we should make the change. The pref description seems to not include the holds report pages:

Show/Don't show the names of patrons that have items checked out or on hold on detail pages or the "Place Hold" screen.
Comment 2 Katrin Fischer 2014-11-10 19:28:25 UTC
Created attachment 33439 [details] [review]
Bug 12359: Add HidePatronName functionality to the holds queue

This changes the Holds Queue page to not show the patron's name
and phone number, but only the cardnumber, when HidePatronName
is set to 'Don't show'

This also changes the link to the patron account to use
the borrowernumber instead of the cardnumber, which seems
more consistent.

Fixes a tiny capitalization error: Only item...

To test:
- Look at the holds queue page with holds displayed
- Toggle HidePatronName system preference and observe the change
- Make sure the link works correctly
Comment 3 Katrin Fischer 2014-11-10 19:28:55 UTC
Setting in discussion to get some feedback about the suggested change.
Comment 4 Marc Véron 2016-10-03 16:06:55 UTC
Still valid?
Comment 5 Katrin Fischer 2016-10-16 12:45:13 UTC
Created attachment 56571 [details] [review]
Bug 12359: Add HidePatronName functionality to the holds queue

This changes the Holds Queue page to not show the patron's name
and phone number, but only the cardnumber, when HidePatronName
is set to 'Don't show'

This also changes the link to the patron account to use
the borrowernumber instead of the cardnumber, which seems
more consistent.

Fixes a tiny capitalization error: Only item...

To test:
- Look at the holds queue page with holds displayed
- Toggle HidePatronName system preference and observe the change
- Make sure the link works correctly

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Rebased 2016-10-16
Comment 6 Katrin Fischer 2016-10-16 12:46:35 UTC
Still valid, rebased patch - leaving it up to testers.
Comment 7 Chris Kirby 2016-10-24 20:55:35 UTC
>This also changes the link to the patron account to use
>the borrowernumber instead of the cardnumber, which seems
>more consistent

Katrin,
After applying the patch, I still see the cardnumber, not borrowernumber, in the holds queue page (and on the hold details page).
Comment 8 Katrin Fischer 2016-10-24 21:04:18 UTC
You mean in the link or in the text shown?

With the patch HidePatronName should toggle between cardnumber and displaying the name.
Comment 9 Chris Kirby 2016-10-24 21:17:27 UTC
>With the patch HidePatronName should toggle between cardnumber and displaying >the name.
Yes, it does toggle between cardnumber and displaying the name. If so, the behavior is as expected.

I guess I am confused by what what you mean by saying the link uses the borrowernumber instead of the cardnumber. Is this is a matter of functionality rather than display?
Comment 10 Katrin Fischer 2016-10-24 21:25:54 UTC
Yes :) I also changed the URL behind the link - it was using the cardnumber and I changed it to use the borrowernumber instead for linking. If the link to the patron account still works, things should be alright.
Comment 11 Chris Kirby 2016-10-24 21:32:30 UTC
Yes, the link to the patron account still works. Thanks for the clarification.
Comment 12 Chris Kirby 2016-10-25 20:45:41 UTC
Created attachment 56847 [details] [review]
Bug 12359: Add HidePatronName functionality to the holds queue

This changes the Holds Queue page to not show the patron's name
and phone number, but only the cardnumber, when HidePatronName
is set to 'Don't show'

This also changes the link to the patron account to use
the borrowernumber instead of the cardnumber, which seems
more consistent.

Fixes a tiny capitalization error: Only item...

To test:
- Look at the holds queue page with holds displayed
- Toggle HidePatronName system preference and observe the change
- Make sure the link works correctly

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Rebased 2016-10-16

Signed-off-by: Chris Kirby <christopherlawrencekirby@gmail.com>
Comment 13 Jonathan Druart 2016-11-18 10:35:01 UTC
Created attachment 57637 [details] [review]
Bug 12359: Add HidePatronName functionality to the holds queue

This changes the Holds Queue page to not show the patron's name
and phone number, but only the cardnumber, when HidePatronName
is set to 'Don't show'

This also changes the link to the patron account to use
the borrowernumber instead of the cardnumber, which seems
more consistent.

Fixes a tiny capitalization error: Only item...

To test:
- Look at the holds queue page with holds displayed
- Toggle HidePatronName system preference and observe the change
- Make sure the link works correctly

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Rebased 2016-10-16

Signed-off-by: Chris Kirby <christopherlawrencekirby@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 14 Kyle M Hall 2016-11-18 13:59:28 UTC
Pushed to master for 16.11, thanks Katrin!
Comment 15 Mason James 2016-12-14 11:23:11 UTC
Pushed to 16.05.x, for 16.05.06 release